commit:     5609e2aab556d76b9935fa103c1e9fa0783c391b
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 25 10:11:00 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Oct 25 10:56:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5609e2aa

dev-ros/genpy: bump to 0.6.3

Package-Manager: portage-2.3.2

 dev-ros/genpy/Manifest           |  1 +
 dev-ros/genpy/genpy-0.6.3.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-ros/genpy/Manifest b/dev-ros/genpy/Manifest
index 7a6dd92..5785a9b 100644
--- a/dev-ros/genpy/Manifest
+++ b/dev-ros/genpy/Manifest
@@ -1 +1,2 @@
 DIST genpy-0.6.2.tar.gz 60939 SHA256 
dc1a77d534702136f635b110eb20a4072e5946ff8aa237f5bae2cb37c298e922 SHA512 
39fa71f113dbc0165ef7d0aa7d7a60795f8919649fbae46a9e4e3e9020c60df91f979f19283a7ea20803f6d97ec3f0e12bb19a788033e499e1f1c84587bfae4b
 WHIRLPOOL 
a0f665d419e886d8f3a0f8aa5725e6e6e32fdd889b4b1ea1fc6939c16c01970d904ecb6df63613f037348df7b06738184ffc41af0d66d90519876e9aa11ccfb3
+DIST genpy-0.6.3.tar.gz 51545 SHA256 
35448838e3054aeb520f49afe64b8bd9cb7ed944ed07471d2b6e7d5560d68540 SHA512 
63748f70aa32e760d044b54c1c64a44e972fe34f0fd3317f66cbbc59f2662117c150c9d892db37b8b621e5c0687a83673575f088f5ac4f7d4b7c6020e75cdb07
 WHIRLPOOL 
b28ce5245129516e487742693a5f5f5a9918563e52658f8c097d7f750e333636d2f7f2743d648654c56c9dbb9a5acd0dae93a02683bb662231c9fc40ce8d335e

diff --git a/dev-ros/genpy/genpy-0.6.3.ebuild b/dev-ros/genpy/genpy-0.6.3.ebuild
new file mode 100644
index 00000000..73461c0
--- /dev/null
+++ b/dev-ros/genpy/genpy-0.6.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+ROS_REPO_URI="https://github.com/ros/genpy";
+KEYWORDS="~amd64 ~arm"
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit ros-catkin
+
+DESCRIPTION="Python ROS message and service generators"
+HOMEPAGE="http://wiki.ros.org/genpy";
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+
+RDEPEND="dev-ros/genmsg[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/pyyaml[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+
+python_test() {
+       cd "${BUILD_DIR}"
+       PYTHONPATH="${S}/src" nosetests --verbose -w "${S}/test" || die
+}
+
+src_test() {
+       python_foreach_impl python_test
+}

Reply via email to